%define upstream_name    File-ChangeNotify
%define upstream_version 0.24

%?perl_default_filter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(IO::KQueue\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Inotify-based watcher subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Params::Validate)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides an API for creating a the File::ChangeNotify::Watcher
manpage subclass that will work on your platform.

Most of the documentation for this distro is in the
File::ChangeNotify::Watcher manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-7.mga6
+ Revision: 1027284
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.240.0-6.mga6
+ Revision: 941262
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 742306
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-4.mga5
+ Revision: 732133
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 684709
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Feb 08 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 586210
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 526980
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.230.0-1.mga4
+ Revision: 439281
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 367147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 254946
- update to 0.22

* Thu Feb 23 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 212872
- update to 0.21

* Fri Jun 17 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 108819
- update to 0.20

* Tue Jan 25 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 38589
- mageia rebuild
- imported package perl-File-ChangeNotify

